DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
dcmtk::log4cplus::spi::AppenderAttachable Class Referenceabstract

This Interface is for attaching Appenders to objects. More...

Inheritance diagram for dcmtk::log4cplus::spi::AppenderAttachable:

## Public Member Functions
virtual void | addAppender (SharedAppenderPtr newAppender)=0
| Add an appender.
virtual SharedAppenderPtrList | getAllAppenders ()=0
| Get all previously added appenders as an Enumeration.
virtual SharedAppenderPtr | getAppender (const log4cplus::tstring &name)=0
| Get an appender by name.
virtual void | removeAllAppenders ()=0
| Remove all previously added appenders.
virtual void | removeAppender (SharedAppenderPtr appender)=0
| Remove the appender passed as parameter from the list of appenders.
virtual void | removeAppender (const log4cplus::tstring &name)=0
| Remove the appender with the name passed as parameter from the list of appenders.

## Detailed Description

This Interface is for attaching Appenders to objects.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/spi/apndatch.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2